COMPUTE eta = 2006 - D1 .
RECODE eta (18 thru 30=1)  (31 thru 55=2)  (56 thru Highest=3)  INTO  feta .
execute.
CROSSTABS
  /TABLES=D2  BY feta
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT ROW COLUMN
  /COUNT ROUND CELL .
MEANS
  TABLES=eta  BY D2 feta
  /CELLS MEAN COUNT STDDEV  .
COMPUTE D12N = D12 .
DO IF (D13 = 2) .
RECODE
  D12N  (ELSE=SYSMIS)  .
END IF .
MEANS
  TABLES=D12N  BY D2 feta D6
  /CELLS MEAN COUNT STDDEV  .
RECODE
  D12N
  (SYSMIS=4)  (1 thru 3=1)  (4 thru 7=2)  (8 thru 10=3)  INTO  polit .
CORRELATIONS
  /VARIABLES=A1 A3 A4 A6 A8 A11 A14 A16 A18 A20 A2 A5 A7 A9 A10 A12
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .
DESCRIPTIVES
  VARIABLES=A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12 A13 A14 A15 A16 A17 A18
  A19 A20
  /STATISTICS=MIN MAX .
COMPUTE A2R = 10-A2 .
COMPUTE A5R = 10-A5 .
COMPUTE A7R = 10-A7 .
COMPUTE A9R = 10-A9 .
COMPUTE A10R = 10-A10 .
COMPUTE A12R = 10-A12 .
COMPUTE A13R = 10-A13 .
COMPUTE A15R = 10-A15 .
COMPUTE A17R = 10-A17 .
COMPUTE A19R = 10-A19 .
execute.

COMPUTE FONDAM = A1 + A2 + A3 + A4 + A5 + A6 + A7 + A8 + A9 + A10 + A11 + A12
  + A13 + A14 + A15 + A16 + A17 + A18 + A19 + A20 .
EXAMINE
  VARIABLES=FONDAM
  /PLOT BOXPLOT STEMLEAF NPPLOT
  /COMPARE GROUP
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.



SAVE OUTFILE='Matt.sav' /COMPRESSED.

FREQUENCIES
  VARIABLES=D6
  /ORDER=  ANALYSIS .
MISSING VALUE D6 (3).
ONEWAY
  FONDAM BY D6
  /MISSING ANALYSIS
  /POSTHOC = TUKEY ALPHA(.05).
FACTOR
  /VARIABLES A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12 A13 A14 A15 A16 A17 A18
  A19 A20  /MISSING LISTWISE /ANALYSIS A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12
  A13 A14 A15 A16 A17 A18 A19 A20
  /PRINT INITIAL KMO ROTATION
  /FORMAT SORT BLANK(.20)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION ML
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX .
FACTOR
  /VARIABLES A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12 A13 A14 A15 A16 A17 A18
  A19 A20  /MISSING LISTWISE /ANALYSIS A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12
  A13 A14 A15 A16 A17 A18 A19 A20
  /PRINT INITIAL ROTATION
  /FORMAT SORT BLANK(.20)
  /CRITERIA FACTORS(2) ITERATE(25)
  /EXTRACTION ML
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX .
FACTOR
  /VARIABLES A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12 A13 A14 A15 A16 A17 A18
  A19 A20  /MISSING LISTWISE /ANALYSIS A1 A2 A3 A4 A5 A6 A7 A8 A9 A10 A11 A12
  A13 A14 A15 A16 A17 A18 A19 A20
  /PRINT INITIAL ROTATION
  /FORMAT SORT BLANK(.20)
  /CRITERIA FACTORS(3) ITERATE(25)
  /EXTRACTION ML
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX .
